Skip to content
Back to top
View this page

# `incus network create`

Create new networks

## Synopsis

[96;1;4mDescription:[0;22;24m
Create new networks

    incus network create [2m[[22m[32m<remote>[0m:[2m][22m[32m<new network name>[0m [2m[[22m[32m<key>[0m=[32m<value>[0m[2m...[22m[2m][22m [flags]

## Examples

      incus network create foo
          Create a new network called foo

      incus network create foo < config.yaml
          Create a new network called foo using the content of config.yaml.

      incus network create bar network=baz --type ovn
          Create a new OVN network called bar using baz as its uplink network

## Options

          --description   Network description
          --target        Cluster member name
      -t, --type          Network type

## Options inherited from parent commands

          --debug          Show all debug messages
          --explain        If the command is valid, explain its parsed arguments instead of running it
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus network - Manage and attach instances to networks